package com.kingdee.eas.custom.performancenew.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PerformancenewFacadeFactory
{
    private PerformancenewFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DD18840D") ,com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade.class);
    }
    
    public static com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DD18840D") ,com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DD18840D"));
    }
    public static com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.task.IPerformancenewFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DD18840D"));
    }
}